﻿Imports System.Windows.Forms
Imports System
Imports System.Data

Namespace TDBG.Searching
    Partial Public Class Form1
        Inherits Form
        Public Sub New()

            InitializeComponent()

            'Setting sample data
            c1TrueDBGrid1.DataSource = GetDataTable()

            'handle search and clear button events
            AddHandler toolStripMenuItem1.Click, AddressOf toolStripMenuItem1_Click
            AddHandler ToolStripMenuItem2.Click, AddressOf ToolStripMenuItem2_Click

        End Sub

        Private Sub toolStripMenuItem1_Click(sender As Object, e As EventArgs)

            'clear any selected rows
            c1TrueDBGrid1.SelectedRows.Clear()

            'get datasource
            Dim ds = CType(c1TrueDBGrid1.DataSource, DataTable)

            'iterate source
            For index = 0 To ds.Rows.Count

                'select matching rows
                If c1TrueDBGrid1(index, "Department").ToString().ToLower.Equals(toolStripTextBox1.Text.ToLower) Then
                    c1TrueDBGrid1.SelectedRows.Add(index)
                End If
            Next

        End Sub

        Private Sub ToolStripMenuItem2_Click(sender As Object, e As EventArgs)
            'clear selected rows
            c1TrueDBGrid1.SelectedRows.Clear()
        End Sub

        'sample data for the grid
        Private Function GetDataTable() As DataTable
            Dim dt As DataTable = New DataTable("Employees")
            dt.Columns.Add("Id", GetType(Integer))
            dt.Columns.Add("Name", GetType(String))
            dt.Columns.Add("Department", GetType(String))
            dt.Columns.Add("Sex", GetType(String))
            dt.Columns.Add("Salary", GetType(Decimal))
            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000)
            dt.Rows.Add(2, "George", "ACC", "M", 4000)
            dt.Rows.Add(3, "Frank", "IT", "M", 4500)
            dt.Rows.Add(4, "Linda", "IT", "F", 4000)
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000)
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000)
            Return dt
        End Function

    End Class
End Namespace
